BIGAPPLE.DogNavagation = function () {
	
	this.scrollTop = 0;
	this.browserHeight = 0;
	
	this.createListeners = function () {
		var scope = this;
		$('.next').bind('click', function (e) {scope.next(e);});
		$('.prev').bind('click', function (e) {scope.prev(e);});
		$('.top').bind('click', function (e) {scope.top(e)});
	};
	
	this.top = function (e) {
		$('body, html').stop().animate({'scrollTop' : 0}, (this.scrollTop / this.browserHeight) * 500);
		e.preventDefault();
		return false;
	};
	
	this.next = function (e) {
		var clicked = $('.next').index(e.currentTarget);
		$('body, html').stop().animate({'scrollTop' : ((this.browserHeight * (clicked + 3)))}, 500);
		e.preventDefault();
		return false;
	};
	
	this.prev = function (e) {
		var clicked = $('.prev').index(e.currentTarget);
		$('body, html').stop().animate({'scrollTop' : ((this.browserHeight * (clicked + 2)))}, 500);
		e.preventDefault();
		return false;
	};
	
	this.getScrollTop = function (newScrollTop, newBrowserHeight) {
		this.scrollTop = newScrollTop;
		this.browserHeight = newBrowserHeight;
	};
	
	this.init = function () {
		this.createListeners();
	};
	
	this.init();
};